com.independentsoft.exchange

## Class CalendarView

- java.lang.Object
- - com.independentsoft.exchange.View
  - - com.independentsoft.exchange.CalendarView

-     public class CalendarView
      extends View

  Defines a FindItem Operation as returning calendar items in a set as they appear in a calendar.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarView()` Initializes a new instance of the CalendarView class.
    `CalendarView(java.util.Date startTime, java.util.Date endTime)` Initializes a new instance of the CalendarView class.
    `CalendarView(java.util.Date startTime, java.util.Date endTime, int maxEntriesReturned)` Initializes a new instance of the CalendarView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Gets the end of a time span queried for calendar items.
    `java.util.Date` | `getStartTime()` Gets the start of a time span queried for calendar items.
    `void` | `setEndTime(java.util.Date endTime)` Sets the end of a time span queried for calendar items.
    `void` | `setStartTime(java.util.Date startTime)` Sets the start of a time span queried for calendar items.

    - ### Methods inherited from class com.independentsoft.exchange.View

      `getMaxEntriesReturned, setMaxEntriesReturned`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarView

          public CalendarView()

      Initializes a new instance of the CalendarView class.

    - #### CalendarView

          public CalendarView(java.util.Date startTime,
                              java.util.Date endTime)

      Initializes a new instance of the CalendarView class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time

    - #### CalendarView

          public CalendarView(java.util.Date startTime,
                              java.util.Date endTime,
                              int maxEntriesReturned)

      Initializes a new instance of the CalendarView class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time
        `maxEntriesReturned` - the max entries returned

  - ### Method Detail

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start of a time span queried for calendar items.
      Returns:
        the start time

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Sets the start of a time span queried for calendar items.
      Parameters:
        `startTime` - the new start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the end of a time span queried for calendar items.
      Returns:
        the end time

    - #### setEndTime

          public void setEndTime(java.util.Date endTime)

      Sets the end of a time span queried for calendar items.
      Parameters:
        `endTime` - the new end time